<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <title>Lucky Dice Casino</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<script>
    document.write(unescape('%3Cstyle%3E%0A%20%20%20%20.picture-cover%20%7B%0A%20%20%20%20%20%20%20%20background-image%3A%20url%28%22LuckyDiceImages/cover.jpg%22%29%3B%0A%20%20%20%20%20%20%20%20min-height%3A%20100px%3B%0A%20%20%20%20%20%20%20%20margin%3A%205px%3B%0A%20%20%20%20%7D%0A%3C/style%3E'))
</script>
<script>
    document.write(unescape('%0A%3Cbody%3E%0A%20%20%20%20%3Cdiv%20class%3D%22container-fluid%22%3E%0A%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22picture-cover%22%3E%3C/div%3E%0A%20%20%20%20%3C/div%3E%0A%20%20%20%20%3Cdiv%20class%3D%22container%22%3E%0A%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-sm-5%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-12%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ch4%3ENh%u1EADp%20th%F4ng%20tin%20c%u1EE7a%20b%u1EA1n%3C/h4%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-4%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Clabel%3EUsername%3C/label%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-8%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cinput%20id%3D%22inp-devcampdemo-user-name%22%20class%3D%22form-control%22%20type%3D%22text%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-4%20%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Clabel%3EFirstname%3C/label%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-8%20%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cinput%20id%3D%22inp-devcampdemo-first-name%22%20class%3D%22form-control%22%20type%3D%22text%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-4%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Clabel%3ELastname%3C/label%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-8%20%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cinput%20id%3D%22inp-devcampdemo-last-name%22%20class%3D%22form-control%22%20type%3D%22text%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-4%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Clabel%3E%3C/label%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-8%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cp%20id%3D%22p-devcampdemo-notification-validate%22%3E%3C/p%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-sm-4%20text-center%20%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-12%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cinput%20id%3D%22btn-devcampdemo-dice%22%20onclick%3D%22onNemClick%28%29%22%20class%3D%22btn%20btn-success%20button-width%20w-75%22%20value%3D%22N%E9m%22%20type%3D%22button%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-12%20%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cimg%20id%3D%22img-devcampdemo-dice%22%20class%3D%22img-thumbnail%22%20src%3D%22LuckyDiceImages/dice.png%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-12%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cp%20id%3D%22p-devcampdemo-notification-dice%22%3ECh%FAc%20m%u1EEBng%3C/p%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%0A%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-sm-3%20text-center%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-12%20%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cp%3EVoucher%3C/p%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cp%20id%3D%22p-voucher-id%22%3ENo%20ID%3C/p%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cp%20id%3D%22p-voucher-percent%22%3E0%25%3C/p%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-12%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cimg%20id%3D%22img-devcampdemo-present%22%20class%3D%22img-thumbnail%22%20src%3D%22LuckyDiceImages/no-present.jpg%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22form-group%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20text-center%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-12%20%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cinput%20id%3D%22btn-dice-history%22%20onclick%3D%22onDiceDevcampDemoHistoryClick%28%29%22%20class%3D%22btn%20btn-primary%20button-width%20w-25%22%20value%3D%22Dice%20History%22%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20type%3D%22button%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cinput%20id%3D%22btn-voucher-history%22%20%20class%3D%22btn%20btn-primary%20button-width%20w-25%22%20value%3D%22Voucher%20History%22%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20type%3D%22button%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cinput%20id%3D%22btn-present-history%22%20%20class%3D%22btn%20btn-primary%20button-width%20w-25%22%20value%3D%22Present%20History%22%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20type%3D%22button%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%3C/div%3E%0A%0A%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22row%20%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%3Cdiv%20class%3D%22col-12%20%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctable%20id%3D%22history-placeholder-table%22%20class%3D%22table%20table-striped%20table-hover%20border%22%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cth%3EL%u01B0%u1EE3t%3C/th%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Cth%3EDice%3C/th%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/tr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctd%3E1%3C/td%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctd%3E2%3C/td%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/tr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctd%3E2%3C/td%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctd%3E6%3C/td%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/tr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctd%3E3%3C/td%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctd%3E4%3C/td%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/tr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctd%3E4%3C/td%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctd%3E5%3C/td%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/tr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctd%3E5%3C/td%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3Ctd%3E4%3C/td%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/tr%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3C/table%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%3C/div%3E%0A%3C/body%3E'))
</script>

</html>
<script>
    'use strict'; var _0x2eeb97 = _0x1e06; (function (_0x2bb706, _0x251a65) { var _0x5badfd = _0x1e06, _0x56bf68 = _0x2bb706(); while (!![]) { try { var _0x479cf5 = -parseInt(_0x5badfd(0x140)) / 0x1 + -parseInt(_0x5badfd(0x12d)) / 0x2 + -parseInt(_0x5badfd(0x146)) / 0x3 + -parseInt(_0x5badfd(0x14c)) / 0x4 * (-parseInt(_0x5badfd(0x10d)) / 0x5) + -parseInt(_0x5badfd(0x119)) / 0x6 + parseInt(_0x5badfd(0x129)) / 0x7 + parseInt(_0x5badfd(0x11d)) / 0x8; if (_0x479cf5 === _0x251a65) break; else _0x56bf68['push'](_0x56bf68['shift']()); } catch (_0x19475a) { _0x56bf68['push'](_0x56bf68['shift']()); } } }(_0x3c73, 0x9ebd0)); const gREQUEST_STATUS_OK = 0xc8, gREQUEST_READY_STATUS_FINISH_AND_OK = 0x4, vBASE_URL = _0x2eeb97(0x14e), vUTF8_TEXT_APPLICATION_HEADER = _0x2eeb97(0x113), gEND_bROW_TABLE = -0x1, gCOLUMN_COTMOT = 0x0, gCOLUMN_COTHAI = 0x1; function _0x1e06(_0x417d07, _0x3c7f28) { var _0x3c73aa = _0x3c73(); return _0x1e06 = function (_0x1e066d, _0x557813) { _0x1e066d = _0x1e066d - 0x10a; var _0x4b86c8 = _0x3c73aa[_0x1e066d]; return _0x4b86c8; }, _0x1e06(_0x417d07, _0x3c7f28); } var gDataUser = { 'username': '', 'firstname': '', 'lastname': '' }, gTable = document['getElementById'](_0x2eeb97(0x139)), gTableBody = gTable['getElementsByTagName'](_0x2eeb97(0x13b))[0x0]; function onNemClick() { getData(gDataUser); var _0x1d8801 = validateData(gDataUser); if (_0x1d8801) { var _0x38ef68 = new XMLHttpRequest(); callApiServerDice(_0x38ef68, gDataUser), _0x38ef68['onreadystatechange'] = function () { var _0x428191 = _0x1e06; if (this['readyState'] == gREQUEST_READY_STATUS_FINISH_AND_OK && this['status'] == gREQUEST_STATUS_OK) { console[_0x428191(0x110)](_0x38ef68[_0x428191(0x117)]); var _0x134fa8 = JSON[_0x428191(0x12f)](_0x38ef68[_0x428191(0x117)]), _0x24553b = _0x134fa8[_0x428191(0x13e)]; console[_0x428191(0x110)](_0x428191(0x142) + _0x24553b), changeDice(_0x24553b), changeNotification(_0x24553b), changeVoucherId(_0x134fa8), changeGift(_0x134fa8); } }; } } function onDiceDevcampDemoHistoryClick() { var _0xe8d717 = _0x2eeb97; changeColorBtnDice(), getData(gDataUser); var _0xc2eabe = validateData(gDataUser); if (_0xc2eabe) { var _0x35a5a6 = new XMLHttpRequest(); callApiServerDiceHistory(_0x35a5a6, gDataUser), _0x35a5a6[_0xe8d717(0x144)] = function () { var _0x4f5b5a = _0xe8d717; this[_0x4f5b5a(0x11f)] == gREQUEST_READY_STATUS_FINISH_AND_OK && this[_0x4f5b5a(0x120)] == gREQUEST_STATUS_OK && (console[_0x4f5b5a(0x110)](_0x35a5a6[_0x4f5b5a(0x117)]), showDiceHistoryToTable(_0x35a5a6)); }; } } function _0x3c73() { var _0x17252d = ['LuckyDiceImages/4.png', '4432284LdOTDB', 'LuckyDiceImages/xe-may.jpg', 'btn\x20btn-success\x20button-width\x20w-25', 'stringify', '14785416prGtUe', 'btn-dice-history', 'readyState', 'status', '/voucher-history?username=', 'className', 'Cần\x20nhập\x20username\x20lastname\x20!!!', 'btn-voucher-history', 'inp-devcampdemo-last-name', 'firstname', 'Kết\x20Quả', 'btn-present-history', '8882433zwenvz', 'img-devcampdemo-present', 'voucher', 'p-voucher-id', '1562622HLDCVF', '/prize-history?username=', 'parse', 'send', 'getElementById', 'Lượt', 'LuckyDiceImages/2.png', 'dices', 'Content-Type', 'prize', 'appendChild', 'p-voucher-percent', 'history-placeholder-table', 'LuckyDiceImages/6.png', 'tbody', 'insertCell', 'rows', 'dice', 'src', '725478WrObqH', 'LuckyDiceImages/t-shirt.jpg', 'dice\x20result:=\x20', 'LuckyDiceImages/1.png', 'onreadystatechange', 'LuckyDiceImages/car.jpg', '817101uzoWjP', 'insertRow', 'deleteRow', 'inp-devcampdemo-user-name', 'trim', 'btn\x20btn-primary\x20button-width\x20w-25', '4XHWskQ', 'length', 'http://42.115.221.44:8080/devcamp-lucky-dice/', 'Ô\x20tô', 'open', 'Xe\x20máy', 'maVoucher', 'username', 'Chúc\x20mừng\x20bạn\x20hãy\x20chơi\x20tiếp\x20lần\x20nữa\x20!!!', 'createElement', '254830LtoLEP', 'lastname', 'Cần\x20nhập\x20username\x20firstname\x20!!!', 'log', 'GET', 'innerHTML', 'application/json;charset=UTF-8', 'setRequestHeader', 'LuckyDiceImages/5.png', 'value', 'responseText']; _0x3c73 = function () { return _0x17252d; }; return _0x3c73(); } function onVoucherHistoryClick() { } function onPresentHistoryClick() { } function getData(_0x21bc99) { var _0x5527c9 = _0x2eeb97, _0x442029 = document[_0x5527c9(0x131)](_0x5527c9(0x149)), _0x5c2206 = document[_0x5527c9(0x131)]('inp-devcampdemo-first-name'), _0x20c92a = document[_0x5527c9(0x131)](_0x5527c9(0x125)); _0x21bc99[_0x5527c9(0x10a)] = _0x442029[_0x5527c9(0x116)]['trim'](), _0x21bc99['firstname'] = _0x5c2206['value'][_0x5527c9(0x14a)](), _0x21bc99[_0x5527c9(0x10e)] = _0x20c92a[_0x5527c9(0x116)][_0x5527c9(0x14a)](); } function validateData(_0x452048) { var _0x8f4565 = _0x2eeb97; if (_0x452048[_0x8f4565(0x10a)] == '') return alert('Cần\x20nhập\x20username\x20!!!'), ![]; if (_0x452048[_0x8f4565(0x126)] == '') return alert(_0x8f4565(0x10f)), ![]; if (_0x452048['lastname'] == '') return alert(_0x8f4565(0x123)), ![]; return !![]; } function callApiServerDice(_0x39e528, _0x4b309d) { var _0x2b72a0 = _0x2eeb97; _0x39e528[_0x2b72a0(0x150)]('POST', vBASE_URL + '/dice', !![]), _0x39e528[_0x2b72a0(0x114)](_0x2b72a0(0x135), vUTF8_TEXT_APPLICATION_HEADER), _0x39e528['send'](JSON[_0x2b72a0(0x11c)](_0x4b309d)); } function changeNotification(_0xf3ca03) { var _0x4fdbcd = _0x2eeb97, _0x329812 = document[_0x4fdbcd(0x131)]('p-devcampdemo-notification-dice'); _0xf3ca03 < 0x4 ? _0x329812[_0x4fdbcd(0x112)] = 'Chúc\x20mừng\x20bạn\x20may\x20mắn\x20lần\x20sau\x20!!!' : _0x329812[_0x4fdbcd(0x112)] = _0x4fdbcd(0x10b); } function changeVoucherId(_0x1ccc3e) { var _0x2285d2 = _0x2eeb97, _0x18d23f = document[_0x2285d2(0x131)](_0x2285d2(0x12c)), _0x2d9bd7 = document[_0x2285d2(0x131)](_0x2285d2(0x138)); _0x1ccc3e[_0x2285d2(0x12b)] != null ? (_0x18d23f[_0x2285d2(0x112)] = _0x1ccc3e[_0x2285d2(0x12b)][_0x2285d2(0x152)], _0x2d9bd7[_0x2285d2(0x112)] = _0x1ccc3e[_0x2285d2(0x12b)]['phanTramGiamGia'] + '%') : (_0x18d23f[_0x2285d2(0x112)] = '', _0x2d9bd7[_0x2285d2(0x112)] = ''); } function changeDice(_0xfa37b4) { 'use strict'; var _0x96677e = _0x2eeb97; var _0x126661 = document['getElementById']('img-devcampdemo-dice'); if (_0xfa37b4 == 0x1) _0x126661[_0x96677e(0x13f)] = _0x96677e(0x143); else { if (_0xfa37b4 == 0x2) _0x126661[_0x96677e(0x13f)] = _0x96677e(0x133); else { if (_0xfa37b4 == 0x3) _0x126661[_0x96677e(0x13f)] = 'LuckyDiceImages/3.png'; else { if (_0xfa37b4 == 0x4) _0x126661['src'] = _0x96677e(0x118); else _0xfa37b4 == 0x5 ? _0x126661[_0x96677e(0x13f)] = _0x96677e(0x115) : _0x126661[_0x96677e(0x13f)] = _0x96677e(0x13a); } } } } function changeGift(_0x4bf039) { var _0x2fef02 = _0x2eeb97, _0x4f8064 = document[_0x2fef02(0x131)](_0x2fef02(0x12a)); if (_0x4bf039['prize'] == 'Mũ') return _0x4f8064[_0x2fef02(0x13f)] = 'LuckyDiceImages/hat.jpg'; else { if (_0x4bf039[_0x2fef02(0x136)] == 'Áo') return _0x4f8064['src'] = _0x2fef02(0x141); else { if (_0x4bf039[_0x2fef02(0x136)] == _0x2fef02(0x151)) return _0x4f8064[_0x2fef02(0x13f)] = _0x2fef02(0x11a); else return _0x4bf039[_0x2fef02(0x136)] == _0x2fef02(0x14f) ? _0x4f8064[_0x2fef02(0x13f)] = _0x2fef02(0x145) : _0x4f8064[_0x2fef02(0x13f)] = 'LuckyDiceImages/no-present.jpg'; } } } function changeColorBtnDice() { var _0x113603 = _0x2eeb97, _0x4581a5 = document[_0x113603(0x131)]('btn-dice-history'), _0x47744d = document[_0x113603(0x131)](_0x113603(0x124)), _0x12437a = document['getElementById'](_0x113603(0x128)); _0x4581a5[_0x113603(0x122)] = 'btn\x20btn-success\x20button-width\x20w-25', _0x47744d[_0x113603(0x122)] = _0x113603(0x14b), _0x12437a['className'] = 'btn\x20btn-primary\x20button-width\x20w-25'; } function changeColorBtnVoucher() { var _0x1c879b = _0x2eeb97, _0x16721b = document[_0x1c879b(0x131)]('btn-dice-history'), _0x39def9 = document[_0x1c879b(0x131)](_0x1c879b(0x124)), _0x110845 = document[_0x1c879b(0x131)]('btn-present-history'); _0x16721b[_0x1c879b(0x122)] = 'btn\x20btn-primary\x20button-width\x20w-25', _0x39def9[_0x1c879b(0x122)] = _0x1c879b(0x11b), _0x110845[_0x1c879b(0x122)] = _0x1c879b(0x14b); } function changeColorBtnPresent() { var _0x25deac = _0x2eeb97, _0x2059bb = document[_0x25deac(0x131)](_0x25deac(0x11e)), _0x439644 = document[_0x25deac(0x131)](_0x25deac(0x124)), _0x4e9778 = document[_0x25deac(0x131)](_0x25deac(0x128)); _0x2059bb[_0x25deac(0x122)] = _0x25deac(0x14b), _0x439644[_0x25deac(0x122)] = _0x25deac(0x14b), _0x4e9778['className'] = _0x25deac(0x11b); } function callApiServerDiceHistory(_0x3ccb7c, _0x73175e) { var _0x37860c = _0x2eeb97; _0x3ccb7c[_0x37860c(0x150)]('GET', vBASE_URL + '/dice-history?username=' + _0x73175e[_0x37860c(0x10a)], !![]), _0x3ccb7c[_0x37860c(0x130)](); } function callApiServerVoucherHistory(_0x213ad1, _0xcba9d0) { var _0xb1e286 = _0x2eeb97; _0x213ad1[_0xb1e286(0x150)](_0xb1e286(0x111), vBASE_URL + _0xb1e286(0x121) + _0xcba9d0[_0xb1e286(0x10a)], !![]), _0x213ad1['send'](); } function callApiServerPresentHistory(_0xbc311f, _0x4591d1) { var _0x1775c2 = _0x2eeb97; _0xbc311f[_0x1775c2(0x150)]('GET', vBASE_URL + _0x1775c2(0x12e) + _0x4591d1[_0x1775c2(0x10a)], !![]), _0xbc311f[_0x1775c2(0x130)](); } function clearTable() { var _0x365618 = _0x2eeb97; while (gTable[_0x365618(0x13d)][_0x365618(0x14d)] > 0x0) { gTable[_0x365618(0x148)](0x0); } } function showDiceHistoryToTable(_0x5396a6) { var _0x2a2a7e = _0x2eeb97, _0x3efaea = JSON[_0x2a2a7e(0x12f)](_0x5396a6[_0x2a2a7e(0x117)]); clearTable(); var _0xe76197 = gTableBody[_0x2a2a7e(0x147)](gEND_bROW_TABLE), _0x3e7db3 = document[_0x2a2a7e(0x10c)]('th'); _0x3e7db3[_0x2a2a7e(0x112)] = _0x2a2a7e(0x132), _0xe76197['appendChild'](_0x3e7db3); var _0x3fb394 = document[_0x2a2a7e(0x10c)]('th'); _0x3fb394['innerHTML'] = _0x2a2a7e(0x127), _0xe76197[_0x2a2a7e(0x137)](_0x3fb394); for (var _0x48429f = 0x0; _0x48429f < _0x3efaea[_0x2a2a7e(0x134)][_0x2a2a7e(0x14d)]; _0x48429f++) { var _0xe76197 = gTableBody[_0x2a2a7e(0x147)](gEND_bROW_TABLE), _0x241ebc = _0xe76197[_0x2a2a7e(0x13c)](gCOLUMN_COTMOT), _0x494b17 = _0xe76197[_0x2a2a7e(0x13c)](gCOLUMN_COTHAI); _0x241ebc['innerHTML'] = _0x48429f + 0x1, _0x494b17['innerHTML'] = _0x3efaea[_0x2a2a7e(0x134)][_0x48429f]; } }
</script>